%bcond_with externalfuse

Summary: 	Linux NTFS userspace driver 
Summary(ja): 	Linux NTFS ユーザ空間ドライバ
Name:		ntfs-3g

Version:	2015.3.14
Release:	1%{?_dist_release}

License:	GPLv2+
Group:		System Environment/Base
URL:		http://www.ntfs-3g.org/

Source0:	http://tuxera.com/opensource/%{name}_ntfsprogs-%{version}.tgz
Source1:        20-ntfs-config-write-policy.fdi
Patch0:         ntfs-3g_ntfsprogs-2011.10.9-RC-ntfsck-unsupported-return-0.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  libtool
BuildRequires:  libattr-devel
BuildRequires:  libconfig-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  gnutls-devel
BuildRequires:  libuuid-devel
%if %{with externalfuse}
BuildRequires:  fuse-devel
Requires:       fuse
%endif

%description
NTFS-3G is a stable, open source, GPL licensed, POSIX, read/write NTFS 
driver for Linux and many other operating systems. It provides safe 
handling of the Windows XP, Windows Server 2003, Windows 2000, Windows 
Vista, Windows Server 2008 and Windows 7 NTFS file systems. NTFS-3G can 
create, remove, rename, move files, directories, hard links, and streams; 
it can read and write normal and transparently compressed files, including 
streams and sparse files; it can handle special files like symbolic links, 
devices, and FIFOs, ACL, extended attributes; moreover it provides full 
file access right and ownership support.

%package devel
Summary:	Development files and libraries for ntfs-3g
Summary(ja):	ntfs-3g の開発ファイルとライブラリ
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig
Provides:       ntfsprogs-devel = %{version}-%{release}
Obsoletes:      ntfsprogs-devel < 2.0.0-3

%description devel
Headers and libraries for developing applications that use ntfs-3g 
functionality.

%package -n ntfsprogs
Summary:        NTFS filesystem libraries and utilities
Summary(ja):    NTFS ファイルシステム用ライブラリおよびユーティリティ
Group:          System Environment/Base
Provides:       ntfsprogs-gnomevfs = %{version}-%{release}
Obsoletes:      ntfsprogs-gnomevfs < 2.0.0-3

%description -n ntfsprogs
The ntfsprogs package currently consists of a library and utilities
such as mkntfs, ntfscat, ntfsls, ntfsresize, and ntfsundelete
(for a full list of included utilities see man 8 ntfsprogs after 
installation).


%prep
%setup -q -n %{name}_ntfsprogs-%{version}
%patch0 -p1 -b .unsupported

%build
%configure --disable-static \
           --disable-ldconfig \
%{?with_ externalfuse:--with-fuse=external} \
	   --exec-prefix=/ \
	   --enable-crypto \
	   --enable-extras \
	   --enable-quarantined

make %{?_smp_mflags} LIBTOOL=%{_bindir}/libtool

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT LIBTOOL=%{_bindir}/libtool install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.{la,a}

rm -rf $RPM_BUILD_ROOT%{_sbindir}/mount.ntfs-3g
cp -a $RPM_BUILD_ROOT%{_bindir}/ntfs-3g $RPM_BUILD_ROOT%{_sbindir}/mount.ntfs-3g

# make compatibility symlinks
pushd $RPM_BUILD_ROOT%{_bindir}
ln -s ntfs-3g ntfsmount
popd
pushd $RPM_BUILD_ROOT%{_sbindir}
ln -s mount.ntfs-3g mount.ntfs-fuse
# And since there is no other package in Fedora that provides an ntfs 
# mount...
ln -s mount.ntfs-3g mount.ntfs
# Need this for fsck to find it
ln -s ../bin/ntfsck fsck.ntfs
popd

mv $RPM_BUILD_ROOT/sbin/* $RPM_BUILD_ROOT%{_sbindir}
rm -rf $RPM_BUILD_ROOT/sbin

# We get this on our own, thanks.
rm -rf $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}/README

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING CREDITS NEWS README
%{_sbindir}/mount.ntfs
%{_sbindir}/mount.ntfs-3g
%{_sbindir}/mount.ntfs-fuse
%{_sbindir}/mount.lowntfs-3g
%{_bindir}/ntfs-3g
%{_bindir}/ntfsmount
%{_bindir}/ntfs-3g.probe
%{_bindir}/ntfs-3g.secaudit
%{_bindir}/ntfs-3g.usermap
%{_bindir}/lowntfs-3g
%{_libdir}/libntfs-3g.so.*
%{_mandir}/man8/mount.lowntfs-3g.*
%{_mandir}/man8/mount.ntfs-3g.*
%{_mandir}/man8/ntfs-3g*

%files devel
%defattr(-,root,root,-)
%{_includedir}/ntfs-3g/
%{_libdir}/libntfs-3g.so
%{_libdir}/pkgconfig/*.pc

%files -n ntfsprogs
%doc AUTHORS COPYING CREDITS ChangeLog NEWS README
%{_bindir}/ntfscat
%{_bindir}/ntfscluster
%{_bindir}/ntfscmp
%{_bindir}/ntfsfix
%{_bindir}/ntfsinfo
%{_bindir}/ntfsls
# extras
%{_bindir}/ntfsck
%{_bindir}/ntfsdecrypt
%{_bindir}/ntfsdump_logfile
%{_bindir}/ntfsfallocate
%{_bindir}/ntfsmftalloc
%{_bindir}/ntfsmove
%{_bindir}/ntfstruncate
%{_bindir}/ntfswipe
%{_sbindir}/fsck.ntfs
%{_sbindir}/mkfs.ntfs
%{_sbindir}/mkntfs
%{_sbindir}/ntfsclone
%{_sbindir}/ntfscp
%{_sbindir}/ntfslabel
%{_sbindir}/ntfsresize
%{_sbindir}/ntfsundelete
%{_mandir}/man8/mkntfs.8*
%{_mandir}/man8/mkfs.ntfs.8*
%{_mandir}/man8/ntfs[^m][^o]*.8*
%exclude %{_mandir}/man8/ntfs-3g*

%changelog
* Fri Apr 24 2015 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2015.3.14-1
- new upstream release
- dropt hal files, since hal is very old

* Sun Mar 02 2014 NAKAMURA Kenta <kenta@vinelinux.org> 2014.2.15-1
- new upstream release

* Wed Feb 19 2014 NAKAMURA Kenta <kenta@vinelinux.org> 2013.1.13-2
- rebuilt with gnutls-3.2 and libgcrypt-1.6

* Tue Feb 19 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 2013.1.13-1
- new upstream release

* Mon Nov 05 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 2012.1.15-1
- new upstream release
- merge ntfsprogs
  - add Obsoletes and Provides ntfsprogs*
  - add BR: for ntfsprogs

* Sat Feb 26 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2011.1.15-1
- new upstream release
- fix %%files (add lowntfs-3g)

* Mon Jun 15 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2009.4.4-1
- new upstream release
- use internal fuse-lite, remove BR: fuse-devel and R: fuse
- move binaries to /bin
- move libraries to /%%{_lib}
- add fdi file to enable hal automounting

* Sun Jan 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2009.1.1-1
- new upstream release

* Sun Aug 17 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2812-1
- new upstream release

* Fri Jul 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2712-1
- new upstream release

* Thu Apr 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.2412-1
- new upstream release

* Tue Jun 05 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.516-0vl1
- initial build for Vine Linux

* Tue May 15 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2:1.516-1
- bump to 1.516
- fix bugzilla 232031

* Sun Apr 15 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2:1.417-1
- bump to 1.417

* Sun Apr 15 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2:1.416-1
- bump to 1.416
- drop patch0, upstreamed

* Wed Apr  4 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2:1.328-2
- allow non-root users to mount/umount ntfs volumes (Laszlo Dvornik)

* Sat Mar 31 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2:1.328-1
- bump to 1.328
- drop patch, use --disable-ldconfig instead

* Wed Feb 21 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2:1.0-1
- 1.0 release!

* Fri Jan 19 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2:0-0.9.20070118
- symlink to mount.ntfs

* Wed Jan 17 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2:0-0.8.20070118
- bump to 20070118

* Wed Jan 17 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2:0-0.7.20070116
- bump to latest version for all active dists

* Wed Jan  3 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1:0-0.6.20070102
- bump to latest version (note that upstream fixed their date mistake)

* Wed Nov  1 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1:0-0.5.20070920
- add an obsoletes for ntfsprogs-fuse
- make some convenience symlinks

* Wed Oct 25 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1:0-0.4.20070920
- add some extra Provides

* Mon Oct 16 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1:0-0.3.20070920
- add explicit Requires on fuse

* Mon Oct 16 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1:0-0.2.20070920
- fixed versioning (bumped epoch, since it now shows as older)
- change sbin symlink to actual copy to be safe

* Sun Oct 15 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.1.20070920-1
- Initial package for Fedora Extras
